## ros-indigo-create-dashboard 2.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(create_dashboard)

find_package(catkin REQUIRED COMPONENTS create_node
                                        diagnostic_msgs
                                        rospy
                                        rqt_gui
                                        rqt_gui_py
                                        rqt_robot_dashboard)

catkin_python_setup()

catkin_package()

install(PROGRAMS scripts/create_dashboard
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
        
install(DIRECTORY plugins
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-create-dashboard (2.3.1-0trusty) trusty; urgency=high

  * create_dashboard: Fix some python syntax errors
    Even if this file isn't used, it will be bytecompiled when packaged for Fedora. This will fail if there are syntax errors in the file, so even if it is not used or has functional errors, it needs to be syntactically correct if it is in the repository.
  * Contributors: Scott K Logan

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-indigo-create-dashboard (2.3.0-0trusty) trusty; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sun, 30 Nov 2014 15:00:00 -0000

ros-indigo-create-dashboard (2.2.0-0trusty) trusty; urgency=high

  * adds bugtracker and repo info to package.xml
  * fixes grey battery status issue

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 29 Aug 2013 15:00:00 -0000

ros-indigo-create-dashboard (2.1.0-0trusty) trusty; urgency=high

  * Fully catkinized
  * Hydro beta release

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Wed, 17 Jul 2013 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-create-dashboard
Section: misc
Priority: extra
Maintainer: Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-create-node, ros-indigo-diagnostic-msgs, ros-indigo-rospy, ros-indigo-rqt-gui, ros-indigo-rqt-gui-py, ros-indigo-rqt-robot-dashboard
Homepage: http://ros.org/wiki/create_dashboard
Standards-Version: 3.9.2

Package: ros-indigo-create-dashboard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-create-node, ros-indigo-diagnostic-msgs, ros-indigo-rospy, ros-indigo-rqt-gui, ros-indigo-rqt-gui-py, ros-indigo-rqt-robot-dashboard
Description: The Create dashboard is a RQT-based plug-in for visualising data from the Create and giving easy access to basic functionalities.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-create-dashboard//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
